﻿


;-------------------------------------------------------------------------------
setup_Gdip(SmoothingMode := 0) { ; set up Gdip
;-------------------------------------------------------------------------------
    global

    pToken := Gdip_Startup()

    hDC := CreateCompatibleDC()
    hBM := CreateDIBSection(A_ScreenWidth, A_ScreenHeight)
    oBM := SelectObject(hDC, hBM)

    pGraphics := Gdip_GraphicsFromHDC(hDC)

    pBrushSun    := Gdip_BrushCreateSolid(0xFFFFFF00)
    pBrushPlanet := Gdip_BrushCreateSolid(0xFF003399)
    pBrushBlack  := Gdip_BrushCreateSolid(0xFF000000)

    If (SmoothingMode != 0)
        Gdip_SetSmoothingMode(pGraphics, SmoothingMode)
}



;-------------------------------------------------------------------------------
teardown_Gdip() { ; tear down Gdip
;-------------------------------------------------------------------------------
    global

    Gdip_DeleteBrush(pBrushSun)
    Gdip_DeleteBrush(pBrushPlanet)
    Gdip_DeleteBrush(pBrushBlack)

    Gdip_DeleteGraphics(pGraphics)

    SelectObject(hDC, oBM)
    DeleteObject(hBM)
    DeleteDC(hDC)

    Gdip_Shutdown(pToken)
}
