﻿


;-------------------------------------------------------------------------------
MainCode: ; this is the only call in AutoExecute
;-------------------------------------------------------------------------------


    ;-----------------------------------
    ; constants
    ;-----------------------------------
    Pi := 4 * ATan(1)               ; trigonometry
    MidX := A_ScreenWidth // 2      ; x-coord of the sun
    MidY := A_ScreenHeight // 2     ; y-coord of the sun


    ;-----------------------------------
    ; smoothing mode: AntiAlias
    ;-----------------------------------
    setup_Gdip(4)


    ;-----------------------------------
    ; configuration
    ;-----------------------------------
    ConfigBox([
    ( LTrim Join, Comments
        {Name: "SunSize    ", Min: 10, Max:  200, Default: 100}
        {Name: "PlanetSize ", Min:  5, Max:   50, Default:  15}
        {Name: "PlanetCount", Min:  1, Max: 1000, Default: 120}
        {Name: "FPS        ", Min:  1, Max:   50, Default:  50}
    )])


    ;-----------------------------------
    ; Orbit GUI
    ;-----------------------------------
    Gui, Orbit: New, +hWndhOrbit -Caption, %AppName%
    Gui, +E0x00080000 ; WS_EX_LAYERED
    Gui, Show, x0 y0 w%A_ScreenWidth% h%A_ScreenHeight%


ApplySettings:
    ;-----------------------------------
    ; planets - see Maths.ahk
    ;-----------------------------------
    Gosub, Init_Planets
    Gosub, LV_Planets


    ;-----------------------------------
    ; animate
    ;-----------------------------------
    SetTimer, Animation, % 1000 / FPS


Return



;-------------------------------------------------------------------------------
Animation: ; timer controlled
;-------------------------------------------------------------------------------

    ; background
    Gdip_GraphicsClear(pGraphics)
    Gdip_FillRectangle(pGraphics, pBrushBlack, -1, -1, A_ScreenWidth + 1, A_ScreenHeight + 1)
    Gdip_FillEllipse(pGraphics, pBrushSun, MidX - SunSize/2, MidY - SunSize/2, SunSize, SunSize)

    ; plot all planets
    Gosub, NewPositions
    For each, P in Planets {
        Gdip_FillEllipse(pGraphics, pBrushPlanet            ; planets
            , P.PosX - PlanetSize/2, P.PosY - PlanetSize/2
            , PlanetSize, PlanetSize)
    }
    UpdateLayeredWindow(hOrbit, hDC, 0, 0, A_ScreenWidth, A_ScreenHeight)

Return



;-------------------------------------------------------------------------------
Rnd(min, max) { ; wrapper for Random command
;-------------------------------------------------------------------------------
    Random, Result, min, max
    Return, Result
}



;-------------------------------------------------------------------------------
CleanUp() { ; clean up
;-------------------------------------------------------------------------------
    global ; just in case

    SetTimer, Animation, Off
    Gui, Orbit: Destroy
    teardown_Gdip()

    OrbitGuiEscape:
    ExitApp
}
