﻿


;-------------------------------------------------------------------------------
ConfigBox(oConfig) {
;-------------------------------------------------------------------------------
    ; create a GUI for configuring ini-file dependant variables
    ;
    ; oConfig   describes the variables
    ;---------------------------------------------------------------------------
    global
    IniConfig := oConfig

    ; GUI options
    Gui, ConfigBox: New, -MinimizeBox, %AppName% Settings
    Gui, Margin, 30, 18

    ; client area
    For each, Var in oConfig {

        Name    := Trim(Var.Name)
        Min     := Var.Min
        Max     := Var.Max
        Default := Var.Default

        Gui, Add, Text, xm w80, %Name%:
        Gui, Add, Text, x+10 wp, %Min%..%Max%`t(%Default%)
        Gui, Add, Edit, x+10 yp-4 wp vNew_%Name% Number Right, % %Name%
    }

    ; bottom buttons
    Gui, Add, Button, x65 wp Default, OK
    Gui, Add, Button, x+m wp, Cancel

    Return


    ;-----------------------------------
    ; event handlers
    ;-----------------------------------
    ConfigBoxButtonCancel: ; "Cancel" button
    ConfigBoxGuiClose:     ; {Alt+F4} pressed, [X] clicked
    ConfigBoxGuiEscape:    ; {Esc} pressed
        Gui, Hide
    Return

    ;-----------------------------------
    ConfigBoxButtonOK: ; check new values
    ;-----------------------------------
        Gui, Submit, NoHide

        ; check all items
        For each, Var in IniConfig {
            Name := Trim(Var.Name)
            If (New_%Name% < Var.Min) Or (New_%Name% > Var.Max) {
                MsgBox, % Name " (" New_%Name% ") must be between " Var.Min " and " Var.Max "!"
                Return
            }
        }

        ; commit all items
        For each, Var in IniConfig {
            Name := Trim(Var.Name)
            %Name% := New_%Name%
        }

        ; all done
        Gosub, Write_INI
        Gui, Hide
        Gosub, ApplySettings

    Return
}
