﻿;-------------------------------------------------------------------------------
; Orbits.ahk
; by wolf_II
;-------------------------------------------------------------------------------
;
; This script shows a black screen with a picture of the sun in the center
; and a configurable number of planets in orbit around it.
;
; Thanks to tic (Tariq Porter) for his GDI+ Library
; http://www.autohotkey.com/forum/viewtopic.php?t=32238
;-------------------------------------------------------------------------------



;-------------------------------------------------------------------------------
AutoExecute: ; auto-execute section of the script
;-------------------------------------------------------------------------------
    #NoEnv                              ; don't check empty variables
    #NoTrayIcon                     	; don't show tray icon at start
    #SingleInstance, Force              ; kill old instance
    ;---------------------------------------------------------------------------
    OnExit("CleanUp")                   ; #SingleInstance and Reload behaviour
    SetBatchLines, -1                   ; run script at maximum speed
    SetWorkingDir, %A_ScriptDir%        ; consistent directory
    SplitPath, A_ScriptName,,,, AppName ; get AppName from file name
    Menu, Tray, Icon, %AppName%.ico     ; custom icon
    Menu, Tray, Icon ; show
    ;---------------------------------------------------------------------------
    Version := "1.07"
    ;===========================================================================

    Gosub, Handle_INI
    Gosub, MainCode

Return ; end of auto-execute section



;-------------------------------------------------------------------------------
#If WinActive("ahk_id " hOrbit) ; hotkeys
;-------------------------------------------------------------------------------
    F1:: Gui, ConfigBox: Show, x50 y50
    F2:: Gui, LV_Box: Show
    F3:: ListVars

#If



;-------------------------------------------------------------------------------
#Include, *i %A_ScriptDir%\Include ; set folder for includes
;-------------------------------------------------------------------------------
    #Include, GDIp.Helper.ahk
    #Include, INI.Handler.ahk
    #Include, MainCode.ahk
    #Include, Maths.ahk



;-------------------------------------------------------------------------------
; Library files
;-------------------------------------------------------------------------------
    #Include, <ConfigBox>
    #Include, <LV_Box>

    ; auto-included
    #Include, <Gdip>



/*--------- end of file --------------------------------------------------------
